Page MenuHomePhabricator

merge: allow user to halt merge on merge-tool failures
ClosedPublic

Authored by ryanmce on Oct 5 2017, 5:15 AM.

Details

Summary

Depends on D932.

Call the new _onfilemergefailure function when a merge tool reports failure
via a return code.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ryanmce created this revision.Oct 5 2017, 5:15 AM
mbthomas accepted this revision.Oct 6 2017, 5:16 AM
ryanmce updated this revision to Diff 2502.Oct 6 2017, 9:51 AM
quark set the repository for this revision to rHG Mercurial.Oct 7 2017, 1:14 PM
durin42 accepted this revision.Oct 16 2017, 9:40 PM
This revision is now accepted and ready to land.Oct 16 2017, 9:40 PM
This revision was automatically updated to reflect the committed changes.